QGIS Application - Bug report #4174
Rasters are not rendered again when changing project CRS with render caching enabled
2011-08-1501:31 AM - Alister Hood

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupls data: Copied to github as #: 14150
Description

If both render caching and on-the-fly reprojection are enabled, when | change the project CRS, the vector layers disappear, but the raster
layers do not (until | pan or zoom). If render caching is disabled, everything disappears.

This is because the window extents remain the same, and the raster layers are not rendered again when changing project CRS if render
caching is enabled.

Ideally the window extents should be reprojected into the new project CRS (i.e. they should change so that nothing disappears because
the same part of the earth is still being displayed).

But until that is implemented it would be less confusing if the raster layers were rendered again when changing project CRS with render
caching is enabled.

(I'm using trunk on Windows)

History

#1 - 2011-12-16 02:11 PM - Giovanni Manghi
- Target version set to Version 1.7.4

#2 - 2012-04-16 06:29 AM - Paolo Cavallini
- Crashes QGIS or corrupts data set to No
- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0

#3 - 2012-05-23 08:37 PM - Alister Hood
- Resolution set to fixed
- Status changed from Open to Closed

The problem has gone away, because the behaviour | described as "ideal" has been implemented.
